#ifndef FD_mixerform_h_
#define FD_mixerform_h_
/* Header file generated with fdesign. */

/**** Callback routines ****/

extern void master_l_cb(FL_OBJECT *, long);
extern void master_r_cb(FL_OBJECT *, long);
extern void rec_src_cb(FL_OBJECT *, long);
extern void rec_mono_cb(FL_OBJECT *, long);
extern void rec_stereo_cb(FL_OBJECT *, long);
extern void master_mono_cb(FL_OBJECT *, long);
extern void master_stereo_cb(FL_OBJECT *, long);
extern void rec_rate_cb(FL_OBJECT *, long);
extern void play_rate_cb(FL_OBJECT *, long);
extern void play_mono_cb(FL_OBJECT *, long);
extern void play_stereo_cb(FL_OBJECT *, long);
extern void enc_cb(FL_OBJECT *, long);
extern void mix_src_cb(FL_OBJECT *, long);
extern void dac_mode_cb(FL_OBJECT *, long);
extern void quit_cb(FL_OBJECT *, long);
extern void mute_choice_cb(FL_OBJECT *, long);
extern void mute_btn_cb(FL_OBJECT *, long);
extern void rec_both_cb(FL_OBJECT *, long);
extern void rec_l_cb(FL_OBJECT *, long);
extern void rec_r_cb(FL_OBJECT *, long);
extern void play_l_cb(FL_OBJECT *, long);
extern void play_r_cb(FL_OBJECT *, long);
extern void play_both_cb(FL_OBJECT *, long);
extern void rec_prec_cb(FL_OBJECT *, long);
extern void play_prec_cb(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *mixerform;
	FL_OBJECT *mastervol;
	FL_OBJECT *master_l;
	FL_OBJECT *master_r;
	FL_OBJECT *rec_source;
	FL_OBJECT *srcvol_text;
	FL_OBJECT *recmode;
	FL_OBJECT *rec_mono;
	FL_OBJECT *rec_stereo;
	FL_OBJECT *outmode;
	FL_OBJECT *master_mono;
	FL_OBJECT *master_stereo;
	FL_OBJECT *omode_label;
	FL_OBJECT *recrate;
	FL_OBJECT *playrate;
	FL_OBJECT *Playback_mode;
	FL_OBJECT *play_mono;
	FL_OBJECT *play_stereo;
	FL_OBJECT *srcmix_text;
	FL_OBJECT *rec_encoding;
	FL_OBJECT *play_encoding;
	FL_OBJECT *mix_source;
	FL_OBJECT *mvol_label;
	FL_OBJECT *dac_mode;
	FL_OBJECT *mute_choice;
	FL_OBJECT *mute_btn;
	FL_OBJECT *recvol;
	FL_OBJECT *rec_both;
	FL_OBJECT *rec_l;
	FL_OBJECT *rec_r;
	FL_OBJECT *playvol;
	FL_OBJECT *play_l;
	FL_OBJECT *play_r;
	FL_OBJECT *play_both;
	FL_OBJECT *recprec;
	FL_OBJECT *playprec;
	void *vdata;
	long ldata;
} FD_mixerform;

extern FD_mixerform * create_form_mixerform(void);

#endif /* FD_mixerform_h_ */
