/* Form definition file generated with fdesign. */

#include "forms.h"
#include "mixer.h"

FD_mixerform *create_form_mixerform(void)
{
  FL_OBJECT *obj;
  FD_mixerform *fdui = (FD_mixerform *) fl_calloc(1, sizeof(FD_mixerform));

  fdui->mixerform = fl_bgn_form(FL_NO_BOX, 320, 480);
  obj = fl_add_box(FL_UP_BOX,0,0,320,480,"");

  fdui->mastervol = fl_bgn_group();
  fdui->master_l = obj = fl_add_valslider(FL_VERT_NICE_SLIDER,20,270,30,180,"L");
    fl_set_object_callback(obj,master_l_cb,0);
  fdui->master_r = obj = fl_add_valslider(FL_VERT_NICE_SLIDER,50,270,30,180,"R");
    fl_set_object_callback(obj,master_r_cb,0);
  fl_end_group();

  fdui->rec_source = obj = fl_add_choice(FL_NORMAL_CHOICE,120,140,50,30,"Recording source");
    fl_set_object_boxtype(obj,FL_RSHADOW_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,rec_src_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,110,460,90,10,"Recording gain");
  fdui->srcvol_text = obj = fl_add_text(FL_NORMAL_TEXT,210,460,90,10,"Source volume");

  fdui->recmode = fl_bgn_group();
  fdui->rec_mono = obj = fl_add_checkbutton(FL_RADIO_BUTTON,125,195,30,50,"Mono");
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_callback(obj,rec_mono_cb,0);
  fdui->rec_stereo = obj = fl_add_checkbutton(FL_RADIO_BUTTON,125,170,30,50,"Stereo");
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_callback(obj,rec_stereo_cb,0);
  obj = fl_add_text(FL_NORMAL_TEXT,120,230,70,20,"Recording mode:");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fl_end_group();


  fdui->outmode = fl_bgn_group();
  fdui->master_mono = obj = fl_add_checkbutton(FL_RADIO_BUTTON,25,195,30,50,"Mono");
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_callback(obj,master_mono_cb,0);
  fdui->master_stereo = obj = fl_add_checkbutton(FL_RADIO_BUTTON,25,170,30,50,"Stereo");
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_callback(obj,master_stereo_cb,0);
  fdui->omode_label = obj = fl_add_text(FL_NORMAL_TEXT,20,230,70,20,"Output mode:");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fl_end_group();

  fdui->recrate = obj = fl_add_input(FL_INT_INPUT,100,20,90,20,"Record sample rate");
    fl_set_object_lalign(obj,FL_ALIGN_BOTTOM);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,rec_rate_cb,0);
  fdui->playrate = obj = fl_add_input(FL_INT_INPUT,210,20,90,20,"Playback sample rate");
    fl_set_object_lalign(obj,FL_ALIGN_BOTTOM);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,play_rate_cb,0);

  fdui->Playback_mode = fl_bgn_group();
  fdui->play_mono = obj = fl_add_checkbutton(FL_RADIO_BUTTON,227,195,30,50,"Mono");
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_callback(obj,play_mono_cb,0);
  fdui->play_stereo = obj = fl_add_checkbutton(FL_RADIO_BUTTON,227,170,30,50,"Stereo");
    fl_set_object_lalign(obj,FL_ALIGN_RIGHT);
    fl_set_object_callback(obj,play_stereo_cb,0);
  fdui->srcmix_text = obj = fl_add_text(FL_NORMAL_TEXT,220,230,70,20,"Source mix mode:");
    fl_set_object_lalign(obj,FL_ALIGN_CENTER);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fl_end_group();

  fdui->rec_encoding = obj = fl_add_choice(FL_NORMAL_CHOICE,120,90,50,30,"Recording encoding");
    fl_set_object_boxtype(obj,FL_RSHADOW_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,enc_cb,1);
  fdui->play_encoding = obj = fl_add_choice(FL_NORMAL_CHOICE,230,90,50,30,"Playback encoding");
    fl_set_object_boxtype(obj,FL_RSHADOW_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,enc_cb,0);
  fdui->mix_source = obj = fl_add_choice(FL_NORMAL_CHOICE,230,140,50,30,"Volume control source");
    fl_set_object_boxtype(obj,FL_RSHADOW_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,mix_src_cb,0);
  fdui->mvol_label = obj = fl_add_text(FL_NORMAL_TEXT,10,460,80,10,"Master Volume");
  fdui->dac_mode = obj = fl_add_choice(FL_NORMAL_CHOICE,10,140,80,30,"DAC mode");
    fl_set_object_boxtype(obj,FL_RSHADOW_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,dac_mode_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,20,20,60,30,"Quit");
    fl_set_button_shortcut(obj,"^Q^Q",1);
    fl_set_object_boxtype(obj,FL_RSHADOW_BOX);
    fl_set_object_callback(obj,quit_cb,0);
  fdui->mute_choice = obj = fl_add_choice(FL_NORMAL_CHOICE,20,90,50,30,"Mute control");
    fl_set_object_boxtype(obj,FL_RSHADOW_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,mute_choice_cb,0);
  fdui->mute_btn = obj = fl_add_roundbutton(FL_PUSH_BUTTON,10,70,20,20,"Muted");
    fl_set_object_callback(obj,mute_btn_cb,0);

  fdui->recvol = fl_bgn_group();
  fdui->rec_both = obj = fl_add_valslider(FL_VERT_NICE_SLIDER,120,270,60,180,"L+R");
    fl_set_object_callback(obj,rec_both_cb,0);
  fdui->rec_l = obj = fl_add_valslider(FL_VERT_NICE_SLIDER,120,270,30,180,"L");
    fl_set_object_callback(obj,rec_l_cb,0);
  fdui->rec_r = obj = fl_add_valslider(FL_VERT_NICE_SLIDER,150,270,30,180,"R");
    fl_set_object_callback(obj,rec_r_cb,0);
  fl_end_group();


  fdui->playvol = fl_bgn_group();
  fdui->play_l = obj = fl_add_valslider(FL_VERT_NICE_SLIDER,220,270,30,180,"L");
    fl_set_object_callback(obj,play_l_cb,0);
  fdui->play_r = obj = fl_add_valslider(FL_VERT_NICE_SLIDER,250,270,30,180,"R");
    fl_set_object_callback(obj,play_r_cb,0);
  fdui->play_both = obj = fl_add_valslider(FL_VERT_NICE_SLIDER,220,270,60,180,"L+R");
    fl_set_object_callback(obj,play_both_cb,0);
  fl_end_group();

  fdui->recprec = obj = fl_add_input(FL_INT_INPUT,100,60,90,20,"Record precision");
    fl_set_object_lalign(obj,FL_ALIGN_BOTTOM);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,rec_prec_cb,0);
  fdui->playprec = obj = fl_add_input(FL_INT_INPUT,210,60,90,20,"Playback precision");
    fl_set_object_lalign(obj,FL_ALIGN_BOTTOM);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,play_prec_cb,0);
  fl_end_form();

  return fdui;
}
/*---------------------------------------*/

